import os
import shutil

# 创建目标目录
os.makedirs('data/false_positive', exist_ok=True)

# 移动特征库文件
if os.path.exists('false_positive_features.pkl'):
    shutil.move('false_positive_features.pkl', 'data/false_positive/')
    print('已移动特征库文件')

# 移动误报样本
if os.path.exists('false_positive'):
    for item in os.listdir('false_positive'):
        src = os.path.join('false_positive', item)
        dst = os.path.join('data/false_positive', item)
        if os.path.isfile(src):
            shutil.move(src, dst)
    print('已移动误报样本')

print('文件移动完成！') 